Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162507 - No man pages installed for aspell in fc4
Summary: No man pages installed for aspell in fc4
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: aspell
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-05 17:51 UTC by Matt Ghali
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-07 11:28:46 UTC


Attachments (Terms of Use)

Description Matt Ghali 2005-07-05 17:51:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
It seems that no manpages are shipped in the aspell RPM bundled with FC4.
I have confirmed that this is also the case in FC3.

[mghali@localhost ~]$ uname -a
Linux matto.ddns.nominum.com. 2.6.11-1.1369_FC4 #1 Thu Jun 2 22:55:56 EDT 2005 i686 i686 i386 GNU/Linux

[mghali@localhost ~]$ locate aspell | grep -c man
0



Version-Release number of selected component (if applicable):
aspell-0.50.5-6

How reproducible:
Always

Steps to Reproduce:
1. Install fc4.
2. (optional) Run up2date, makewhatis
3. man [-k] aspell
  

Actual Results:  [mghali@localhost ~]$ man aspell
No manual entry for aspell

[mghali@localhost ~]$ man -k aspell
aspell: nothing appropriate


Expected Results:  The missing man page for aspell should have been displayed.

Additional info:

my $MANPATH is null but I do have an OS default /etc/man.config file.

Comment 1 Ivana Varekova 2005-07-07 11:28:46 UTC
Aspell package has large manual - 
http://aspell.net/0.50-doc/man-html/index.html.
Command 
aspell --help 
writes brief aspell manual too.
But aspell package does not contain man pages becouse of man-pages are not
present in upstream aspell version. If you want to add man-pages to aspell
please write to upstream maintainers - aspell-devel@gnu.org.





Note You need to log in before you can comment on or make changes to this bug.